Subscription API Reference
API Reference/Subscription

Subscription

For authentication instructions, see API overview.

post

Create authenticator

Create authenticator. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • emailstring
  • passwordstring
  • firstnamestring
  • lastnamestring
  • companyNamestring
  • companySizestring
  • totalApartmentsstring
  • countrystring
  • phonestring
  • planstring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/freetrial \
-d 'email="string"' \
-d 'password="string"' \
-d 'firstname="string"' \
-d 'lastname="string"' \
-d 'companyName="string"' \
-d 'companySize="string"' \
-d 'totalApartments="string"' \
-d 'country="string"' \
-d 'phone="string"' \
-d 'plan="string"'

Response

No response schema
get

Retrieve authenticator stripe

Returns a single authenticator strip, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/stripe_subscriptions

Response

No response schema
post

Create authenticator create

Create authenticator create. You need to pass through any required fields, and you can optionally pass through other fields.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/create_subscription

Response

No response schema
put

Update authenticator update

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/update_subscription

Response

No response schema
patch

Update authenticator cancel

Update authenticator cancel by setting the values of the parameters passed. Any parameters not set will be unchanged.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/cancel_subscription

Response

No response schema
put

Update authenticator stripe

Request body

  • streetstring
  • citystring
  • statestring
  • countrystring
  • postalCodestring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/stripe_customer \
-d 'street="street1"' \
-d 'city="city1"' \
-d 'state="state1"' \
-d 'country="country1"' \
-d 'postalCode="zip1"'

Response

No response schema
get

Retrieve authenticator stripe payment

Returns a single authenticator stripe paymen, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/stripe_payment_methods

Response

No response schema
get

Retrieve authenticator promotion

Returns a single authenticator promotio, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/promotion_codes

Response

No response schema
get

Retrieve authenticator stripe

Returns a single authenticator strip, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/stripe_prices

Response

No response schema
get

Retrieve authenticator stripe

Returns a single authenticator strip, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/stripe_invoices

Response

No response schema
get

Retrieve authenticator subscription

Returns a single authenticator subscriptio, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/subscription_status

Response

No response schema
get

Retrieve authenticator trial period

Returns a single authenticator trial perio, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/trial_period_left

Response

No response schema
post

Create authenticator

Create authenticator. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • firstnamestring
  • lastnamestring
  • emailstring
  • passwordstring
  • rolenamestring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/authenticator/realms \
-d 'firstname="Ahmed"' \
-d 'lastname="Ali"' \
-d 'email="lol@example.com"' \
-d 'password="123456"' \
-d 'rolename="Admin"'

Response

No response schema